Create attribute
curl --request POST \
--url https://api.heyy.io/v3/attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"name": "<string>",
"visibility": {
"inbox": true,
"contacts": true,
"create": true
},
"description": "<string>",
"details": {
"options": [
{
"value": "<string>",
"color": "<string>"
}
]
}
}
'import requests
url = "https://api.heyy.io/v3/attributes"
payload = {
"displayName": "<string>",
"name": "<string>",
"visibility": {
"inbox": True,
"contacts": True,
"create": True
},
"description": "<string>",
"details": { "options": [
{
"value": "<string>",
"color": "<string>"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
name: '<string>',
visibility: {inbox: true, contacts: true, create: true},
description: '<string>',
details: {options: [{value: '<string>', color: '<string>'}]}
})
};
fetch('https://api.heyy.io/v3/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "string",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"name": "string",
"type": "text",
"displayName": "string",
"description": "string",
"visibility": {
"inbox": true,
"contacts": true,
"create": true
},
"details": {
"options": []
}
}
}{
"success": false,
"error": {
"messageKey": "invalid_body_params",
"message": "Invalid body params",
"invalidParams": {
"email": {
"key": "invalid_string",
"message": "Invalid email"
}
}
}
}{
"success": false,
"error": {
"messageKey": "unauthorized",
"message": "Unauthorized"
}
}{
"success": false,
"error": {
"messageKey": "insufficient_billing_plan",
"message": "Insufficient billing plan"
}
}{
"success": false,
"error": {
"messageKey": "forbidden",
"message": "Forbidden"
}
}{
"success": false,
"error": {
"messageKey": "contact_not_found",
"message": "Contact not found"
}
}{
"success": false,
"error": {
"messageKey": "too_many_requests",
"message": "Too many requests. Limit is applied per minute per tenant. Please retry after the time indicated by the X-RateLimit-Reset header."
}
}{
"success": false,
"error": {
"messageKey": "internal_error",
"message": "Oops! Something went wrong"
}
}Attribute
Create attribute
POST
/
attributes
Create attribute
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I